POD2TEXI(1)

NAME
pod2texi - convert Pod to Texinfo

SYNOPSIS
  pod2texi [OPTION]... POD...

DESCRIPTION
Translate Pod file(s) to Texinfo. There are two basic modes of operation. First, by default, each Pod is translated to a standalone Texinfo manual.

Second, if "--base-level" is set higher than 0, each Pod is translated to a file suitable for @include, and one more file with a main menu and all the @include is generated.

OPTIONS

--appendix-sections
    Use appendix sectioning commands (@appendix, ...) instead of the default numbered sectioning Texinfo @-commands (@chapter, @section, ...).

--base-level=NUM|NAME
    Sets the level of the "head1" commands. It may be an integer or a Texinfo sectioning command (without the "@"): 1 corresponds to the @chapter/@unnumbered level, 2 to the @section level, and so on. The default is 0, meaning that "head1" commands are still output as chapters, but the output is arranged as a standalone manual.

    If the level is not 0, the Pod file is rendered as a fragment of a Texinfo manual suitable for @include. In this case, each Pod file has an additional sectioning command covering the entire file, one level above the "--base-level" value. Therefore, to make each Pod file a chapter in a large manual, you should use "section" as the base level.

    For an example of making Texinfo out of the Perl documentation itself, see "contrib/perldoc-all" in the Texinfo source distribution.

--debug=NUM
    Set debugging level to NUM.

--generate-setfilename
    Generate a @setfilename line for standalone manuals. Can be negated with "--no-generate-setfilename". Ignored if "--base-level" is not 0.

--headings-as-sections
    Use headings commands (@heading, ...) instead of the default numbered sectioning Texinfo @-commands (@chapter, @section, ...). The sectioning command covering the entire file output for each Pod file if --base-level is not 0 is a numbered command.

--help
    Display help and exit.

--menus
    Output node menus. If there is a main manual, its Top node menu is always output, since a master menu is generated. Other nodes menus are not output in the default case.

--outdir=NAME
    If there is a main manual with include files (each corresponding to an input Pod file), then the generated Texinfo files are put in directory NAME. Default is based on "--subdir".

--output=NAME
    Name for the first manual, or the main manual if there is a main manual. Default is to write to standard output.

--no-section-nodes
    Use anchors for sections instead of nodes.

--no-fill-section-gaps
    Do not fill sectioning gaps with empty @unnumbered files. Ordinarily, it's good to keep the sectioning hierarchy intact.

--preamble=STR
    Insert STR as top boilerplate before menu and includes. If STR is set to "-", read the top boilerplate from the standard input. The default top boilerplate is a minimal beginning for a Texinfo document.

--setfilename=STR
    Use STR in top boilerplate before menu and includes for @setfilename for the main manual, if "--base-level" is not set to 0. Ignored if "--base-level" is 0. No @setfilename is output in the default case for the main manual.

--subdir=NAME
    If there is a main manual with include files (each corresponding to an input Pod file), then those include files are included from NAME.

    If "--outdir" is set, NAME should in general be set to the relative directory between the main manual and "--outdir" argument.

--unnumbered-sections
    Use unnumbered sectioning commands (@unnumbered, ...) instead of the default numbered sectioning Texinfo @-commands (@chapter, @section, ...).

--top=TOP
    Name of the @top element for the main manual. May contain Texinfo code.

--version
    Display version information and exit.

SEE ALSO
Pod::Simple::Texinfo. perlpod. The Texinfo manual. Texinfo home page: <https://www.gnu.org/software/texinfo/>

COPYRIGHT AND LICENSE
Copyright 2012-2024 Free Software Foundation, Inc.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

There is NO WARRANTY, to the extent permitted by law.

AUTHOR
Patrice Dumas <bug-texinfo@gnu.org>.